﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;

namespace sl_ChartView_812127
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            BarSeries barSeries = new BarSeries();
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 23), Value = -5100 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 24), Value = -2100 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 25), Value = -4400 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 26), Value = -4000 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 27), Value = -1000 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 28), Value = -1000 });
            barSeries.VerticalAxis = new LinearAxis() { Minimum = -20000 };

            this.chart1.Series.Add(barSeries);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            BarSeries barSeries = new BarSeries();
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 24), Value = 110 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 25), Value = 140 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 26), Value = 150 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 27), Value = 130 });
            barSeries.DataPoints.Add(new Telerik.Charting.CategoricalDataPoint { Category = new DateTime(2014, 4, 28), Value = 130 });
            barSeries.VerticalAxis = new LinearAxis() { Maximum = 1000, HorizontalLocation = Telerik.Charting.AxisHorizontalLocation.Right };

            this.chart1.Series.Add(barSeries);
        }
    }
}
